#
# Conditional build:
%bcond_with	tests	# perform "make test"
			# interactive

%define		pdir	Term
%define		pnam	ReadLine-Perl
%include	/usr/lib/rpm/macros.perl
Summary:	Term::ReadLine::Perl - minimal interface to Readline libraries
Summary(pl.UTF-8):	Term::ReadLine::Perl - minimalny interfejs do bibliotek Readline
Name:		perl-Term-ReadLine-Perl
Version:	1.0303
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a77ecf4921cc714820fef898c6cb0eaf
URL:		http://search.cpan.org/dist/Term-ReadLine-Perl/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Term-ReadKey
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Term::ReadLine::Perl module is a quick implementation of the minimal
interface to Readline libraries. The implementation is made in Perl
(mostly) by Jeffrey Friedl. The only thing this library does is to
make it conformant (and add some minimal changes, like using
Term::ReadKey if present, and correct work under xterm).

%description -l pl.UTF-8
Moduł Term::ReadLine::Perl jest szybką implementacją minimalnego
interfejsu do bibliotek Readline. Implementacja w Perlu została w
większości wykonana przez Jeffreya Friedla. Jedyną rzeczą, jaką robi
ta biblioteka, jest bycie zgodnym (i dodanie pewnych minimalnych
zmian, w rodzaju używania Term::ReadKey jeśli istnieje oraz poprawnej
pracy na xtermie).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES
%{perl_vendorlib}/Term/ReadLine/*.pm
%changelog
* Thu Apr 13 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Term-ReadLine-Perl.git;a=log;h=master

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 7367bb1
- x32 rebuild
- release 2 (by relup.sh)

* Wed Nov 26 2014 Elan Ruusamäe <glen@delfi.ee> 617b926
- use generic url

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> 7feeb13
- up to 1.0303

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1475d69
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d462981
- converted to UTF-8

* Sat Oct 21 2006 ankry <ankry@pld-linux.org> ceff4cd
- ver. 1.0302

* Wed Mar 08 2006 Maciej Pijanka <agaran@pld-linux.org> e3172ac
- up to 1.0207, rel 1

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 4323046
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> f9c3957
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> cf7cf1e
- summary, added CHANGES, rel. 1

* Thu May 06 2004 ankry <ankry@pld-linux.org> c530aca
- fixed perl-devel BR

* Sun May 02 2004 ankry <ankry@pld-linux.org> 4f6b89a
- tests added, but disabled, license fix

* Thu Jul 31 2003 Jakub Bogusz <qboosh@pld-linux.org> 9dfecb3
- pl

* Sun Jul 20 2003 areq <areq@pld-linux.org> 4a53b7b
- init PLD spec

